
CoCoALib - Feature #45

Feature # 39 (Closed): Squarefree factorization

Feature # 43 (Closed): Squarefree factorization - for polynomials

Feature # 44 (Closed): Squarefree factorization -  univariate polynomials

Squarefree factorization -  univariate polynomials, char 0

30 Nov 2011 17:22 - John Abbott

Status: Closed Start date: 30 Nov 2011

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: New Function Estimated time: 0.00 hour

Target version: CoCoALib-0.99531 Spent time: 0.25 hour

Description

Conceptually the simplest case.

We might want to investigate a modular approach.

Related issues:

Related to CoCoALib - Feature #796: CoCoALib function for radical (or SqFree)... Closed 05 Nov 2015

History

#1 - 23 Oct 2013 20:26 - John Abbott

- Status changed from New to Closed

- Assignee set to John Abbott

- % Done changed from 0 to 100

This is effectively covered by the port of d'Ali's impl of Bernardin's (multivariate) algm.  Efficiency of the multivariate algm seems to be good enough

that a special impl for univariate polys is not worth the cost.

#2 - 29 Oct 2013 12:34 - Anna Maria Bigatti

- Target version set to CoCoALib-0.99531
